
# Image a sample line NB ID IS TENTATIVE

os.system('rm -rf SgrB2_179_spw3_1150-1230_Methanol.clean*')
tclean(vis=['Xd6c_Sgr_B2N.ms_FluxEqual_179','X37d_Sgr_B2N.ms_FluxEqual_179'],
	imagename='SgrB2_179_spw3_1150-1230_Methanol.clean', # *see below
        spw='3',                          
	field='Sgr_B2N',                      # SgrB2 
	specmode='cube', 
        outframe='lsrk',
        restfreq='181.296GHz',
	start=1150,                       
        nchan=81,
	gridder='mosaic',               # Recommended for mixed antenna sizes
        pblimit=0.05,
	imsize=800,
        cell='0.04arcsec',
        weighting='briggs', 
        threshold='200mJy/beam',
        robust=0.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=200000,                     # NB this is nchan x (niter per chan)
	interactive=T)


# Make primary-beam corrected FITS images:
#  Beware aretefacts in extended emission.


# Make primary-beam corrected FITS images:
# SgrB2_179_spw3_1150-1230_Methanol  cube centred on tentative ID

imlist=['SgrB2_179_spw3_1150-1230_Methanol.clean']
for i in imlist:
    os.system('rm -rf '+i+'.pbcorr' +i+'*fits')
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
